@import '~@angular/cdk/overlay-prebuilt.css';

:host {
	display: grid;
	grid-template-columns: 1fr;
	user-select: none;

	mat-toolbar {
		display: grid;
		grid-template-columns: min-content 1fr min-content;
		grid-auto-rows: 32px 32px;
		gap: 8px;
		align-content: center;
		height: max-content;
		padding-top: 16px;
		padding-bottom: 16px;

		div {
			display: grid;
			grid-auto-flow: column;
		}

		span {
			overflow: hidden;
			text-overflow: ellipsis;
		}

		mat-chip-list {
			grid-column: 1 / 3;

			mat-chip {
				mat-icon {
					margin-left: 4px;
				}
			}

			::ng-deep .mat-chip-list-wrapper {
				flex-wrap: nowrap;
			}
		}

		.buttons {
			display: grid;
			grid-auto-flow: column;
			grid-auto-columns: min-content;
			gap: 8px;
		}
	}

	app-screen-share-card {
		position: absolute;
		//TODO Required for chrome for some reasson...
		min-height: 100px;
	}
}
